Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.locations.create();
console.log(result);
}
run();curl --request POST \
--url https://idalia.app/api/locations \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]
'import requests
url = "https://idalia.app/api/locations"
payload = [
{
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
latitude: 123,
longitude: 123,
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>',
externalIds: {}
}
])
};
fetch('https://idalia.app/api/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123,
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalIds": {}
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "An unexpected error occurred",
"code": "500"
}Locations
Create locations
Create locations
POST
/
locations
Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.locations.create();
console.log(result);
}
run();Body
application/json
Name of the location
Latitude of the location's coordinates
Longitude of the location's coordinates
Address 1 of the location
Address 2 of the location
City the location is in
State the location is in
Postal code the location is in
Country the location is in
Show child attributes
Show child attributes
Response
Successful response
ID of the location
Datetime when the location was created
Datetime when the location was last updated
ID of the workspace the location belongs to
Name of the location
Latitude of the location's coordinates
Longitude of the location's coordinates
Address 1 of the location
Address 2 of the location
City the location is in
State the location is in
Postal code the location is in
Country the location is in
Show child attributes
Show child attributes
⌘I

